<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Admin Page</title>
</head>
<body>
    <h1>Admin Page</h1>
    <div sec:authorize="isAuthenticated()">
        <div style="float: left; width: 100%;">You are already logged in.</div>
        <div style="float: left; width: 100%;">
            <form th:action="@{/logout}">
                <input type="submit" value="Log Me Out"/>
            </form>
        </div>
    </div>
    <div style="float: left; width: 100%">This is a page visible for ADMIN users only</div>
</body>
</html>
